// -----------------------------------------------------------------------------
//	File		: demoCDEF.r
//	Date		: August 24, 1994
//	Author	: Jim Stout
//	Purpose	: resource descriptions for demoCDEF.c
//
// -----------------------------------------------------------------------------
#define REZ

#include <Types.r>
include "xDef.rsrc";
#include "jimsCDEF.h"

#define BLACK	1
#define WANT3D true

resource 'cctb' (0) {						// default control colors
	{
#if BLACK
		/* [1] */	cFrameColor, 0, 0, 0
		/* [2] */	cTextColor, 0, 0, 0
#else
		/* [1] */	cFrameColor, 384, 384, 26214
		/* [2] */	cTextColor, 384, 384, 26214 
#endif
		/* [3] */	cBodyColor, 52428,52428,52428,
		/* [4] */	cElevatorColor, 0, 0, 0,
		/* [5] */	cFillPatColor, 384, 384, 26214,
		/* [6] */	cTingeLight, 52428, 52428, 65535
		/* [6] */	cTingeDark, 13107, 13107, 26214
	}
};

resource 'cctb' (128) {						// TabPanel control colors
	{
#if BLACK
		/* [1] */	cFrameColor, 0, 0, 0
		/* [2] */	cTextColor, 0, 0, 0
#else
		/* [1] */	cFrameColor, 384, 384, 26214
		/* [2] */	cTextColor, 384, 384, 26214 
#endif
	}
};

//----------------------------------------------------------------------------
// Main dialog
//----------------------------------------------------------------------------

resource 'DLOG' (128) {
	{46, 15, 340, 493},	movableDBoxProc,	visible,	nogoAway,	0x0,	128,
	"CDEF demonstration"
};

resource 'DITL' (128) {
	{	/* array DITLarray: 22 elements */
		/* [1] */	{261, 406, 281, 465},		Button			{	enabled,	"OK"			},
		/* [2] */	{261, 334, 281, 393},		Button 			{	enabled,	"Cancel"	},
		/* [3] */	{4, 4, 36, 474},				Control			{	enabled,	128				},
		/* [4] */ {261, 40, 281, 99},			Button			{ enabled,  "Disable" }
	}
};

resource 'CNTL' (128) {
	{4, 4, 36, 474},				// control rect (keep height to 16*rows!)
	1,											// initial value
	visible,
	7,											// max value (match to titles below)
	244,										// REAL height of control rect
	16*tabPanel,						// procID
	70,											// refCon = right margin with no tabs
//
// Titles for each tab follow
//
	"3D Buttons\nPopUp Menus\nArrows\nDate & Time\nHorizontal Sliders\nVertical Sliders\nProgress Bars"
};

resource 'dctb' (128) {
	{
#if WANT3D
		/* [1] */		wContentColor, 52428,52428,52428,		// gray
#else
		/* [1] */		wContentColor, 65535,65535,65535,		// white
#endif
		/* [2] */		wFrameColor, 0, 0, 0,
		/* [3] */		wTextColor, 0, 0, 0,
		/* [4] */		wHiliteColor, 0, 0, 0,
		/* [5] */		wTitleBarColor, 65535, 65535, 65535
	}
};

//----------------------------------------------------------------------------
// panel 1 - BUTTONS - begins here
//----------------------------------------------------------------------------

resource 'DITL' (129) {
	{

// Check boxes
		
		/* [1] */		{64, 22, 80, 142},			Control {	enabled,	129						},
		/* [2] */		{84, 22, 100, 142},			Control {	enabled,	130						},
		/* [3] */		{104, 22, 120, 142},		Control {	enabled,	131						},
		/* [4] */		{124, 22, 140, 142},		Control {	enabled,	132						},
		
// Radio buttons

		/* [5] */		{64, 172, 80, 292},			Control {	enabled,	133						},		
		/* [6] */		{84, 172, 100, 292},		Control {	enabled,	134						},		
		/* [7] */		{104, 172, 120, 292},		Control {	enabled,	135						},		
		/* [8] */		{124, 172, 140, 292},		Control {	enabled,	136						},

// Tog buttons
				
		/* [9] */		{64, 320, 80, 440},			Control {	enabled,	137						},		
		/* [10] */	{84, 320, 100, 440},		Control {	enabled,	138						},		
		/* [11] */	{104, 320, 120, 440},		Control {	enabled,	139						},		
		/* [12] */	{124, 320, 140, 440},		Control {	enabled,	140						},		

// Push buttons

		/* [13] */	{192, 22, 212, 88},			Control {	enabled,	141						},	
		/* [14] */	{180, 101, 220, 159},		Button 	{	enabled,	"Multi\nLine"	},	

// Font popups
		
		/* [15] */	{181, 186, 200, 343},		Control 		{enabled,	142					},
		/* [16] */	{182, 349, 198, 383},		StaticText 	{disabled,	"Size:"		},
		/* [17] */	{182, 388, 198, 416},		EditText 		{enabled,		"12"			},
		/* [18] */	{181, 422, 200, 447},		Control 		{enabled,		143				},
		/* [19] */	{208, 288, 228, 347},		Button	 		{enabled,		"Set"			},
		
// Group boxes

		/* [20] */		{48, 14, 64, 154},		Control {	enabled,	144						},
		/* [21] */		{48, 164, 64, 304},		Control {	enabled,	145						},
		/* [22] */		{48, 314, 64, 454},		Control {	enabled,	146						},
		/* [23] */		{156, 14, 172, 172},	Control {	enabled,	147						},
		/* [24] */		{156, 182, 172, 454},	Control {	enabled,	148						}
	}
};

// CheckBoxes

resource 'CNTL' (129, purgeable) {
	{64, 22, 80, 142},		1,	visible,	1,	0,	
	checkBoxProcUseWFont,	
	0,
	"Check Box 1"
};

resource 'CNTL' (130, purgeable) {
	{84, 22, 100, 142},		0,	visible,	1,	0,	
	checkBoxProcUseWFont,	
	0,
	"Check Box 2"
};

resource 'CNTL' (131, purgeable) {
	{104, 22, 120, 142},		0,	visible,	1,	0,	
	checkBoxProcUseWFont,	
	0,
	"Check Box 3"
};

resource 'CNTL' (132, purgeable) {
	{124, 172, 140, 292},		0,	visible,	1,	0,	
	checkBoxProcUseWFont,	
	0,
	"Check Box 4"
};

// Radio Buttons

resource 'CNTL' (133, purgeable) {
	{64, 172, 80, 292},		1,	visible,	1,	0,	
	radioButProcUseWFont,	
	0,
	"Radio Button 1"
};

resource 'CNTL' (134, purgeable) {
	{84, 172, 100, 292},	0,	visible,	1,	0,	
	radioButProcUseWFont,	
	0,
	"Radio Button 2"
};

resource 'CNTL' (135, purgeable) {
	{104, 172, 120, 292},	0,	visible,	1,	0,	
	radioButProcUseWFont,	
	0,
	"Radio Button 3"
};

resource 'CNTL' (136, purgeable) {
	{124, 172, 140, 292},	0,	visible,	1,	0,	
	radioButProcUseWFont,	
	0,
	"Radio Button 4"
};

// Tog Buttons

resource 'CNTL' (137, purgeable) {
	{64, 320, 80, 440},		1,	visible,	1,	0,	
	16*button3D+useWFont+togButton,	
	0,
	"Tog Button 1"
};

resource 'CNTL' (138, purgeable) {
	{84, 320, 100, 440},	0,	visible,	1,	0,	
	16*button3D+useWFont+togButton,	
	0,
	"Tog Button 2"
};

resource 'CNTL' (139, purgeable) {
	{104, 320, 120, 440},	0,	visible,	1,	0,	
	16*button3D+useWFont+togButton,	
	0,
	"Tog Button 3"
};

resource 'CNTL' (140, purgeable) {
	{124, 320, 140, 440},	0,	visible,	1,	0,	
	16*button3D+useWFont+togButton,	
	0,
	"Tog Button 4"
};

resource 'CNTL' (141, purgeable) {
	{192, 22, 212, 88},	0,	visible,		1,	0,	
	pushButProc,	
	0,
	"Disabled"
};

// Change Font popups

resource 'CNTL' (142) {
	{181, 186, 200, 343},	popupTitleRightJust,	visible,	45,		260,	
	16*popUp+useWFont+4+1,	
	'FONT',											// refCon
	"Font:"
};

resource 'CNTL' (143) {
	{181, 422, 200, 447},	popupTitleRightJust,	visible,	-1,		261,	
	16*popUp+useWFont,			
	0,	
	"popup Symbol only"
};

// Group Boxes

resource 'CNTL' (144, purgeable) {
	{48, 14, 64, 154},		0,	visible,	100,	0,	
	16*groupBox+ctl3D+useWFont,	
	0,
	"Check Boxes"
};

resource 'CNTL' (145, purgeable) {
	{48, 164, 64, 304},		0,	visible,	100,	0,	
	16*groupBox+ctl3D+useWFont,	
	0,
	"Radio Buttons"
};

resource 'CNTL' (146, purgeable) {
	{48, 314, 64, 454},		0,	visible,	100,	0,	
	16*groupBox+ctl3D+useWFont,	
	0,
	"Tog Buttons"
};

resource 'CNTL' (147, purgeable) {
	{156, 14, 172, 172},	0,	visible,	81,		0,	
	16*groupBox+ctl3D+useWFont,	
	0,
	"Push Buttons"
};

resource 'CNTL' (148, purgeable) {
	{156, 182, 172, 454},	0,	visible,	81,		0,	
	16*groupBox+ctl3D+useWFont,	
	0,
	"Change Font"
};

//----------------------------------------------------------------------------
// Panel 2 - POPUPS - begins here
//----------------------------------------------------------------------------

resource 'DITL' (130) {
	{
		/* [1] */	{52, 20, 75, 320},			Control {	enabled,	1301				},
		/* [2] */	{85, 20, 108, 320},			Control {	enabled,	1302				},
		/* [3] */	{118, 20, 141, 320},		Control {	enabled,	1303				},
		/* [4] */	{150, 20, 173, 320},		Control {	enabled,	1304				}
	}
};

resource 'CNTL' (1301, purgeable) {
	{52, 20, 75, 320}, popupTitleRightJust,	visible,	120,		256,	
	16*popUp+useWFont+popupFixedWidth+ctl3D,		
	0,	
	"Right:"
};
resource 'CNTL' (1302, purgeable) {
	{85, 20, 108, 320},	popupTitleLeftJust,			visible,	120,		257,	
	16*popUp+useWFont+popupFixedWidth+ctl3D,		
	0,	
	"Left:"
};
resource 'CNTL' (1303, purgeable) {
	{118, 20, 141, 320},	popupTitleCenterJust,	visible,	120,		258,	
	16*popUp+useWFont+popupFixedWidth,		
	0,	
	"Center:"
};
resource 'CNTL' (1304, purgeable) {
	{150, 20, 173, 320},	popupTitleRightJust,	visible,	120,		259,	
	16*popUp+useWFont,		
	0,	
	"Not Fixed Width:"
};

resource 'MENU' (256) {
	256, textMenuProc,	allEnabled,	enabled,	"Demo menu",
	{
		/* [1] */	"PopUp CDEF 1", 			noIcon, noKey, noMark, plain,
		/* [2] */	"Red Italic", 				noIcon, noKey, noMark, italic,
		/* [3] */	"Blue Outline", 			noIcon, noKey, noMark, outline,
		/* [4] */	"Green Bold", 				noIcon, noKey, noMark, bold,
		/* [5] */	"Item Five is a long item", noIcon, noKey, noMark, plain
	}
};
resource 'MENU' (257) {
	257, textMenuProc,	allEnabled,	enabled,	"Demo menu 2",
	{
		/* [1] */	"PopUp CDEF 2", 			noIcon, noKey, noMark, plain,
		/* [2] */	"Item 2	",		 				noIcon, noKey, noMark, plain
	}
};
resource 'MENU' (258) {
	258, textMenuProc,	allEnabled,	enabled,	"Demo menu 3",
	{
		/* [1] */	"PopUp CDEF 3", 			noIcon, noKey, noMark, plain,
		/* [2] */	"Item 2	",		 				noIcon, noKey, noMark, plain
	}
};
resource 'MENU' (259) {
	259, textMenuProc,	allEnabled,	enabled,	"Demo menu 4",
	{
		/* [1] */	"PopUp CDEF 4", 			noIcon, noKey, noMark, plain,
		/* [2] */	"Item 2	",		 				noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (260) {
	260, textMenuProc,	allEnabled,	enabled,	"empty Font menu",
	{
	}
};

resource 'MENU' (261) {
	261, textMenuProc,	allEnabled,	enabled,	"Font sizes",
	{
		/* [1] */	"9",  noIcon, noKey, noMark, plain,
		/* [2] */	"10", noIcon, noKey, noMark, plain,
		/* [3] */	"12", noIcon, noKey, noMark, plain,
		/* [4] */	"14", noIcon, noKey, noMark, plain,
		/* [5] */	"18", noIcon, noKey, noMark, plain
	}
};

resource 'mctb' (256) {
	{
		/* [1] */		256, 0,
		{
			/* [1] */	0, 0, 0,
			/* [2] */	0, 0, 0,
			/* [3] */	0, 0, 0,
			/* [4] */	37715, 65535, 65535
		},
		/* [2] */		256, 2,
		{
			/* [1] */	0, 0, 0,
			/* [2] */	65535,0, 0,
			/* [3] */	0, 0, 0,
			/* [4] */	65535, 65535, 65535
		},
		/* [3] */		256, 3,
		{
			/* [1] */	0, 0, 0,
			/* [2] */	0, 0, 65535,
			/* [3] */	0, 0, 0,
			/* [4] */	65535, 65535, 65535
		},
		/* [4] */		256, 4,
		{
			/* [1] */	0, 0, 0,
			/* [2] */	0, 8738, 0,
			/* [3] */	0, 0, 0,
			/* [4] */	65535, 65535, 65535
		},
		/* [3] */		mctbLast, 0,
		{
			/* [1] */	0, 0, 0,
			/* [2] */	0, 0, 0,
			/* [3] */	0, 0, 0,
			/* [4] */	0, 0, 0
		}
	}
};

resource 'mctb' (260) {
	{
		/* [1] */
		260, 0,
		{
			/* [1] */		0, 0, 0,
			/* [2] */		65535, 65535, 65535,
			/* [3] */		0, 0, 65535,
			/* [4] */		37715, 58572, 65535
		},
		/* [2] */
		mctbLast, 0,
		{
			/* [1] */		0, 0, 0,
			/* [2] */		0, 0, 0,
			/* [3] */		0, 0, 0,
			/* [4] */		0, 0, 0
		}
	}
};


//----------------------------------------------------------------------------
// Panel 3 - SPINNERS - begins here
//----------------------------------------------------------------------------

resource 'DITL' (131) {
	{
		/* [1] */	{75,  50, 93, 160},			Control			{	enabled,	1311				},
		/* [2] */	{103, 50, 128, 164},		Control			{	enabled,	1312				},
		/* [3] */	{138, 149, 156, 160},		Control			{	enabled,	1313				},
		/* [4] */	{75,  230, 93, 340},		Control			{	enabled,	1314				},
		/* [5] */	{103, 230, 128, 344},		Control			{	enabled,	1315				},
		/* [6] */	{138, 329, 163, 344},		Control			{	enabled,	1316				},
		/* [7] */ {140, 103, 155, 143},		EditText		{ enabled, "0"					},
		/* [8] */	{142, 287, 158, 324},		StaticText	{	disabled,	"0"			},
	}
};

resource 'CNTL' (1311, purgeable) {
	{75,  50, 93, 160},	0,
	visible,	999,		-999,	
	16*spinner+ctl3D+useWFont,
	10,												// refCon = increment
	"Small 3D:"
};

resource 'CNTL' (1312, purgeable) {
	{103, 50, 128, 164},	0,
	visible,	999,		-999,	
	16*spinner+ctl3D+useWFont+bigArrows,
	0,	
	"Large 3D:"
};

resource 'CNTL' (1313, purgeable) {
	{138, 149, 156, 160},	0,
	visible,	999,		-999,	
	16*spinner+ctl3D,									
	$000B0005,											// refCon = DITL item and increment	
	"Linked to edit item 7 with an increment of 5"
	
// remember, DITLBASE = 4, so 4+7 = 11
};

resource 'CNTL' (1314, purgeable) {
	{75,  230, 93, 340},	0,
	visible,	999,		-999,	
	16*spinner+useWFont,
	10,												// refCon = increment
	"Small:"
};

resource 'CNTL' (1315, purgeable) {
	{103, 230, 128, 344},	0,
	visible,	999,		-999,	
	16*spinner+useWFont+bigArrows,
	0,	
	"Large:"
};

// this spinner is going to adjust by 0.10 instead of 1.
// This requires a special action proc for TrackControl
// See trackSpin6 in demoCDEF.c and a bit of special
// initialization (see restorePanel)

resource 'CNTL' (1316, purgeable) {
	{138, 329, 163, 344},	0,
	visible,	990,		-990,	
	16*spinner+bigArrows,
	0,	
	"Fractional value"
};

//----------------------------------------------------------------------------
// Panel 4 - DATETIME - begins here
//----------------------------------------------------------------------------

resource 'DITL' (132) {
	{
		/* [1] */	{47, 90, 65, 263},				Control 		{enabled,	1321					},
		/* [2] */	{72, 90, 90, 270},				Control 		{enabled,	1322					},
		/* [3] */	{97, 90, 115, 200},				Control 		{enabled,	1323					},
		/* [4] */	{122, 90, 140, 261},			Control 		{enabled,	1324					},
		/* [5] */	{147, 90, 184, 270},			Control 		{enabled,	1325					},
		/* [6] */	{192, 90, 229, 270},			Control 		{enabled,	1326					},
		
		/* [7] */		{49, 10, 65, 55},				StaticText 	{disabled,	"Variation:"},
		/* [8] */		{49, 60, 65, 80},				StaticText 	{disabled,	"0"					},
		/* [9] */		{74, 60, 90, 80},				StaticText 	{disabled,	"1"					},
		/* [10] */	{99, 60, 115, 80},			StaticText 	{disabled,	"2"					},
		/* [11] */	{125, 60, 141, 80},			StaticText 	{disabled,	"8"					},
		/* [12] */	{154, 60, 170, 80},			StaticText 	{disabled,	"4+8"				},
		/* [13] */	{194, 60, 210, 80},			StaticText 	{disabled,	"4"					},
		/* [14] */	{208, 370, 228, 428},		Button 			{	enabled,	"Reset"	},
	}
};

// non-zero min forces 3D look
// non-zero max forces 24 hour setting

resource 'CNTL' (1321) {
	{47, 90, 65, 263},			0,	visible,	only24,		ctl3D,	
	16*dateTime,						
	0,	
	"Both:"
};
resource 'CNTL' (1322) {
	{72, 90, 90, 270},			0,	visible,	0,				ctl3D,	
	16*dateTime+dateOnly,		
	0,												// refCon could be a DateTime value
	"Date:"
};
resource 'CNTL' (1323) {
	{97, 90, 115, 200},			0,	visible,	only24,		ctl3D,	
	16*dateTime+timeOnly,		
	0,	
	"Time:"
};
resource 'CNTL' (1324) {
	{122, 90, 140, 261},		0,	visible,	0,				ctl3D,	
	16*dateTime+useWFont,		
	0,	
	"Both:"
};
resource 'CNTL' (1325) {
	{147, 90, 184, 270},		0,	visible,	0,				ctl3D,	
	16*dateTime+useWFont+dtStack,	
	0,	
	"Date & Time:"
};
resource 'CNTL' (1326) {
	{192, 90, 229, 270},		0,	visible,	0,				0,			
	16*dateTime+dtStack,		
	0,	
	""
};

//----------------------------------------------------------------------------
// Panel 5 - HSLIDERS - begins here
//----------------------------------------------------------------------------

resource 'DITL' (133) {
	{
		/* [1] */		{47,  90,  71, 211},		Control 		{enabled,1331						},
		/* [2] */		{87,  90,  111, 211},		Control 		{enabled,1332						},
		/* [3] */		{127, 90, 151, 211},		Control 		{enabled,1333						},
		/* [4] */		{167, 90, 191, 211},		Control			{enabled,1334						},
		/* [5] */		{207, 90, 231, 211},		Control 		{enabled,1335						},
		/* [6] */		{132, 220, 148, 240},		StaticText 	{disabled,	"35"				},
		
		/* [7] */		{51, 10, 67, 55},				StaticText 	{disabled,	"Variation:"},
		/* [8] */		{51, 60, 67, 80},				StaticText 	{disabled,	"0"					},
		/* [9] */		{91, 60, 107, 80},			StaticText 	{disabled,	"1"					},
		/* [10] */	{131, 60, 147, 80},			StaticText 	{disabled,	"2"					},
		/* [11] */	{171, 60, 187, 80},			StaticText 	{disabled,	"4"					},
		/* [12] */	{211, 60, 227, 80},			StaticText 	{disabled,	"1+4"				},
	}
};

resource 'CNTL' (1331, purgeable) {
	{47,  90,  71, 211},		0,	visible,	100,	0,	
	16*hSlider,							
	0,	""
};
resource 'CNTL' (1332, purgeable) {
	{87,  90,  111, 211},		0,	visible,	100,	0,	
	16*hSlider+scaleNoFill,	
	0,	""
};
resource 'CNTL' (1333, purgeable) {
	{127, 90, 151, 211},		0,	visible,	100,	0,	
	16*hSlider+ctl3D,		
	0,	""
};
resource 'CNTL' (1334, purgeable) {
	{167, 90, 191, 211},		0,	visible,	100,	0,	
	16*hSlider+scaleGray,		
	0,	""
};
resource 'CNTL' (1335, purgeable) {
	{207, 90, 231, 211},		0,	visible,	100,	0,	
	16*hSlider+scaleNoFill+scaleGray,	
	0,	""
};

//----------------------------------------------------------------------------
// Panel 6 - VSLIDERS - begins here
//----------------------------------------------------------------------------

resource 'DITL' (134) {
	{
		/* [1] */		{72,  90,  177,  132},	Control 		{enabled,		1341				},
		/* [2] */		{72,  150,  177,  192},	Control 		{enabled,		1342				},
		/* [3] */		{72,  210,  177,  252},	Control 		{enabled,		1343				},
		/* [4] */		{72,  270,  177,  312},	Control 		{enabled,		1344				},
		/* [5] */		{72,  330,  177,  372},	Control 		{enabled,		1345				},
		/* [6] */		{72,  390,  213,  432},	Control 		{enabled,		1346				},
		/* [7] */		{182, 355,  198,  395}, StaticText 	{disabled,	"0"					},
		
		/* [8] */		{51, 40, 67, 85},				StaticText 	{disabled,	"Variation:"},
		/* [9] */		{51, 116, 67, 130},			StaticText 	{disabled,	"0"					},
		/* [10] */	{51, 176, 67, 190},			StaticText 	{disabled,	"1"				},
		/* [11] */	{51, 236, 67, 250},			StaticText 	{disabled,	"2"					},
		/* [12] */	{51, 296, 67, 310},			StaticText 	{disabled,	"4"					},
		/* [13] */	{51, 350, 67, 390},			StaticText 	{disabled,	"4+8"				},
		/* [14] */	{51, 416, 67, 430},			StaticText 	{disabled,	"0"					}
	}
};

resource 'CNTL' (1341, purgeable) {
	{72,  90,  177,  132},	0,	visible,	0,	0,	
	16*vSlider,							
	0,	""
};
resource 'CNTL' (1342, purgeable) {
	{72,  150,  177,  192},	0,	visible,	0,	0,	
	16*vSlider+scaleNoFill,	
	0,	""
};
resource 'CNTL' (1343, purgeable) {
	{72,  210,  177,  252},	0,	visible,	0,	0,	
	16*vSlider+ctl3D,	
	0,	""
};
resource 'CNTL' (1344, purgeable) {
	{72,  270,  177,  312},	0,	visible,	0,	0,	
	16*vSlider+thumbNoSnap,	
	0,	""
};
resource 'CNTL' (1345, purgeable) {
	{72,  330,  177,  372},	0,	visible,	0,	0,	
	16*vSlider+thumbNoSnap+scaleBlank,	
	0,	""
};
resource 'CNTL' (1346, purgeable) {
	{72,  390,  213,  432},	0,	visible,	0,	0,	
	16*vSlider,							
	10,											// refCon = number of sections	
	""
};
//----------------------------------------------------------------------------
// Panel 7 - PROGBARS - begins here
//----------------------------------------------------------------------------

resource 'DITL' (135) {
	{
		/* [1] */		{52, 90, 64, 300},			Control 		{	enabled,	1352		},
		/* [2] */		{72, 90, 88, 300},			Control 		{	enabled,	1353		},
		/* [3] */		{96, 90, 108, 300},			Control 		{	enabled,	1354		},
		/* [4] */		{116, 90, 217, 102},		Control 		{	enabled,	1355		},
		/* [5] */		{116, 130, 217, 146},		Control 		{	enabled,	1356		},
		/* [6] */		{116, 170, 217, 226},		Control 		{	enabled,	1357		},
		/* [7] */		{116, 250, 217, 262},		Control 		{	enabled,	1358		},
		/* [8] */		{116, 290, 217, 306},		Control 		{	enabled,	1359		},
		/* [9] */		{72, 320, 88, 425},			Control 		{	enabled,	1360		},
		/* [10] */	{68, 435, 93, 450},			Control 		{	enabled,	1361		},
		
		/* [11] */		{51, 10, 67, 55},			StaticText 	{disabled,	"Variation:"},
		/* [12] */	{51, 60, 67, 80},				StaticText 	{disabled,	"0"					},
		/* [13] */	{72, 60, 88, 80},				StaticText 	{disabled,	"2"					},
		/* [14] */	{96, 60, 108, 80},			StaticText 	{disabled,	"4"					},
		/* [15] */	{222, 10, 238, 55},			StaticText 	{disabled,	"Variation:"},
		/* [16] */	{222, 92, 238, 102},		StaticText 	{disabled,	"1"					},
		/* [17] */	{222, 128, 238, 148},		StaticText 	{disabled,	"1+2"				},
		/* [18] */	{222, 188, 238, 208},		StaticText 	{disabled,	"1+2"				},
		/* [19] */	{222, 248, 238, 280},		StaticText 	{disabled,	"1+4"				},
		/* [20] */	{222, 282, 238, 320},		StaticText 	{disabled,	"1+2+4"				},
	}
};

resource 'CNTL' (1352) {
	{52, 90, 64, 300},		5,	visible,	50,		0,	
	16*progBar,						
	0,	""
};
resource 'CNTL' (1353) {
	{72, 90, 88, 300},		0,	visible,	40,		0,	
	16*progBar+roundBar,	
	0,	""
};
resource 'CNTL' (1354) {
	{96, 90, 108, 300},		0,	visible,	1,		0,	
	16*progBar+barberPole,
	0,	""
};
resource 'CNTL' (1355) {
	{116, 90, 217, 102},	5,	visible,	100,	0,	
	16*progBar+vertBar,		
	0,	""
};
resource 'CNTL' (1356) {
	{116, 130, 217, 146},	5,	visible,	200,	0,	
	16*progBar+vertBar+roundBar,		
	0,	""
};
resource 'CNTL' (1357) {
	{116, 170, 217, 226},	5,	visible,	150,	0,	
	16*progBar+vertBar+roundBar,		
	0,	""
};
resource 'CNTL' (1358) {
	{116, 250, 217, 262},	1,	visible,	1,		0,	
	16*progBar+vertBar+barberPole,		
	0,	""
};
resource 'CNTL' (1359) {
	{116, 290, 217, 306},	1,	visible,	1,		0,	
	16*progBar+vertBar+roundBar+barberPole,	
	0,	""
};
resource 'CNTL' (1360) {
	{72, 320, 88, 425},	0,	visible,	100,		0,	
	16*progBar,					
	0,	""
};
resource 'CNTL' (1361) {
	{68, 435, 93, 450},	0,	visible,	100,		0,	
	16*spinner+bigArrows+ctl3D,			
	5,											// refCon = increment	
	""
};

resource 'cctb' (1356) {
	{
		cFillPatColor, 65535, 0, 0,						// red bar
		cTingeLight, 65535, 65535, 65535			// white background
	}
};

resource 'cctb' (1355) {
	{
		cFillPatColor, 0, 0, 65535,						// blue bar
		cTingeLight, 52428, 65535, 65535			// lt blue background
	}
};

resource 'cctb' (1358) {
	{
		cFillPatColor, 65535, 0, 0,						// red bar
		cTingeLight, 65535, 65535, 65535			// white background
	}
};

resource 'ALRT' (256, "Need DITLExt", purgeable) {
	{120, 70, 224, 442},
	256,										/* DITL id */
	{
		OK, visible, sound1;	/* Stage 4 */
		OK, visible, sound1;	/* Stage 3 */
		OK, visible, sound1;	/* Stage 2 */
		OK, visible, sound1 	/* Stage 1 */
	}
};

resource 'DITL' (256, purgeable) {
  {
	/* [1] */ {76, 292, 96, 360},			Button			{ enabled , "OK" },
	/* [2] */ {16,  64, 48, 328},			StaticText	{ disabled , 
				"This program requires System 7 or System 6 with CommToolbox." }
  }
};
