// -----------------------------------------------------------------------------
//	File		: jimsCDEF.h
//	Date		: September 24, 1994
//	Author		: Jim Stout
//	Purpose		: Various #defines and structs useful with the CDEF's
// -----------------------------------------------------------------------------

// -----------------------------------------------------------------------------
// the resource id's for the CDEFS
// -----------------------------------------------------------------------------
#define groupBox	100
#define popUp		101
#define spinner		102
#define dateTime	103
#define hSlider		105
#define vSlider		106
#define button3D	0		// 107	// set to 0 to override System CDEF
#define progBar		108
#define tabPanel	109

// -----------------------------------------------------------------------------
// varCodes for all CDEFS
// -----------------------------------------------------------------------------

#define ctl3D			2			// 3D control appearance
#define useWFont		8			// draw control with window font

// -----------------------------------------------------------------------------
// varCodes for popUp CDEF
// -----------------------------------------------------------------------------

#ifndef popupTitleLeftJust

// special meanings for contrlValue field

#define popupTitleLeftJust		0x00000000
#define popupTitleCenterJust	0x00000001
#define popupTitleRightJust		0x000000FF

// variation codes

#define popupFixedWidth			1
#define popupUseAddResMenu		4
#define popupUseWFont			8

#endif

// -----------------------------------------------------------------------------
// varCodes for spinner CDEF
// -----------------------------------------------------------------------------

#define bigArrows		1

#define aHt		18		// minimum height & width for arrows
#define aWid	11
#define aHtBig	25
#define aWidBig	15
// -----------------------------------------------------------------------------
// varCodes for dateTime CDEF
// -----------------------------------------------------------------------------

#define dateOnly		1			// show date, left justified in control rect	
#define timeOnly		2			// show time, right justified in control rect	
#define dtStack			4			// show both on 2 lines, date then time	

// -----------------------------------------------------------------------------
// varCodes for hSlider CDEF
// -----------------------------------------------------------------------------

#define scaleNoFill  	1
#define scaleGray		4

// -----------------------------------------------------------------------------
// varCodes for vSlider CDEF
// -----------------------------------------------------------------------------

#define scaleNoFill  	1
#define thumbNoSnap		4
#define scaleBlank		8

// -----------------------------------------------------------------------------
// varCodes for button3D CDEF
// -----------------------------------------------------------------------------

#define togButton		4

// -----------------------------------------------------------------------------
// varCodes for progBar CDEF
// -----------------------------------------------------------------------------

#define vertBar			1
#define roundBar		2
#define barberPole		4

// -----------------------------------------------------------------------------
// varCodes for tabPanel CDEF
// -----------------------------------------------------------------------------

#define sysFontTabs		1
#define oneTabRow		2

// -----------------------------------------------------------------------------
// other stuff
// -----------------------------------------------------------------------------

#define only24		1			// force dateTime CDEF to 24 hour time display

#ifndef REZ
//------------------------------------------------------------------------------
// Spinner CDEF private data structure	
//  	increment and DITL itemNum are passed into the control as 
//		LoWord & HiWord of the control RefCon			
//------------------------------------------------------------------------------

typedef struct {
short		increment;			// initial, requested increment value	
short		itemNum;			// DITL editText item number for call to SetIText
long		userData;			// user supplied data
}Spin,*SpinPtr,**SpinHandle;

//------------------------------------------------------------------------------
// Popup Menu CDEF private data structure	
//  N.B. : The following structure is NOT the same as Apple's.
// 		   It does match, for the first 2 elements.
//------------------------------------------------------------------------------
			
typedef struct{
MenuHandle	mHandle;						// handle to the menu 		
int			mId;							// resource id of menu		
}popUpPrivateData,**popUpPrivateDataH;

#endif // REZ